NN3.0+ or MSIE4.0+ is is required for the player to work...
[Acc.Precipitation&MSLP]
Controls


Animate Frames:


Adjust Speed:


Advance One: